#!/usr/bin/python3

# Copyright (C) 2013-2021 Daniel Baumann <daniel@debian.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from cgi import FieldStorage
from datetime import datetime
from os import getenv
from subprocess import Popen, PIPE
from sys import exit

def main():
    form = FieldStorage()

    if form.getvalue("target") and form.getvalue("message"):
        Target = form.getvalue("target").split()[0]
        Message = form.getvalue("message").split()[0]

        print('Content-Type: text/html\n')

        Date = datetime.now().strftime("%Y-%m-%d %H:%M:%S")

        print('Target: ' + Target)
        print('Message: ' + Message)

        exit(0)

if __name__ == '__main__':
    main()
